BrlAPI 0.8

Data Fields
brlapi_paramRequestPacket_t Struct Reference
BrlAPI's protocol

`#include <brlapi_protocol.h>`

## Data Fields
uint32_t | flags
brlapi_param_t | param
uint32_t | subparam_hi
uint32_t | subparam_lo

## Detailed Description

Structure of Parameter request

## Field Documentation

## ◆ flags

uint32_t brlapi_paramRequestPacket_t::flags

## ◆ param

brlapi_param_t brlapi_paramRequestPacket_t::param

Flags to tell whether/how to get values

## ◆ subparam_hi

uint32_t brlapi_paramRequestPacket_t::subparam_hi

Which parameter to be transmitted

## ◆ subparam_lo

uint32_t brlapi_paramRequestPacket_t::subparam_lo

Which sub-parameter being transmitted, hi 32bits

The documentation for this struct was generated from the following file:

- brlapi_protocol.h